#include <iostream>
using namespace std;
int main()
{
	int a,b,x,y,I,II;
	cin>>a>>b>>x>>y;
	I=a-x;
	II=b-x;
	if(I==0 && II==0)
	{
		cout<<"nijedan";
		return 0;
	}
	if(I==0 && II>0)
	{
		cout<<"drugi";
		return 0;
	}
	if(I>0 && II==0)
	{
		cout<<"prvi";
		return 0;
	}
	if(I>0 && II>0)
	{
		cout<<"?";
		return 0;
	}
}